import { AfterViewInit, TemplateRef } from '@angular/core';
import { BbButton } from '@bravobit/bb-foundation/elements';
import { BbDialogConfig } from '../dialog.interfaces';
import { BbDialogRef } from '../dialog.ref';
import * as i0 from "@angular/core";
export declare class BbDialogConfirm implements AfterViewInit {
    private _config;
    private _dialogRef;
    readonly title: string;
    readonly description: string | TemplateRef<any>;
    readonly cancelButtonText: string;
    readonly confirmButtonText: string;
    readonly width: string;
    confirmButton?: BbButton;
    dialogId: string;
    constructor(_config: BbDialogConfig, _dialogRef: BbDialogRef<boolean>);
    ngAfterViewInit(): void;
    onClose(result: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbDialogConfirm, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbDialogConfirm, "bb-dialog-confirm", never, {}, {}, never, never, false>;
}
